package net.northking.cctp.dw.db.dao;

import net.northking.cctp.dw.db.entity.DwAtuPlanEnvLink;
import net.northking.cctp.dw.db.mapper.DwAtuPlanEnvLinkMapper;
import net.northking.cctp.dw.dto.atu.DwOptionDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface DwAtuPlanEnvLinkDao extends DwAtuPlanEnvLinkMapper {
    List<DwOptionDto> getEnvList();

    DwAtuPlanEnvLink getEnvById(String envId);

    Integer deleteByPlanIdAndEnvId(@Param("planId")String planId, @Param("envId")String envId);
}
